gtkmm: Gtk::SelectionListModelImpl Class Reference

gtkmm 4.12.0

Public Member Functions | List of all members
Gtk::SelectionListModelImpl Class Reference

Gtk::SelectionListModelImpl is an object that implements the Gio::ListModel and Gtk::SelectionModel interfaces. More...

`#include <gtkmm/selectionlistmodelimpl.h>`

Inheritance diagram for Gtk::SelectionListModelImpl:
[legend]

## Public Member Functions
| SelectionListModelImpl (SelectionListModelImpl && src) noexcept
SelectionListModelImpl & | operator= (SelectionListModelImpl && src) noexcept
| ~SelectionListModelImpl () noexcept override
Public Member Functions inherited from Gio::ListModel
| ListModel (ListModel &&src) noexcept
ListModel & | operator= (ListModel &&src) noexcept
| ~ListModel () noexcept override
GListModel * | gobj ()
const GListModel * | gobj () const
GType | get_item_type () const
guint | get_n_items () const
Glib::RefPtr< Glib::ObjectBase > | get_object (guint position)
Glib::RefPtr< const Glib::ObjectBase > | get_object (guint position) const
Glib::RefPtr< T_item > | get_typed_object (guint position)
Glib::RefPtr< const T_item > | get_typed_object (guint position) const
Glib::SignalProxy< void(guint, guint, guint)> | signal_items_changed ()
Glib::RefPtr< Gio::ListModel > | wrap (GListModel *object, bool take_copy=false)
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const
Public Member Functions inherited from Gtk::SelectionModel
| SelectionModel (SelectionModel && src) noexcept
SelectionModel & | operator= (SelectionModel && src) noexcept
| ~SelectionModel () noexcept override
GtkSelectionModel * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSelectionModel * | gobj () const
| Provides access to the underlying C GObject. More...
bool | is_selected (guint position) const
| Checks if the given item is selected. More...
Glib::RefPtr< const Bitset > | get_selection () const
| Gets the set containing all currently selected items in the model. More...
Glib::RefPtr< const Bitset > | get_selection (guint position, guint n_items) const
| Gets the set of selected items in a range. More...
bool | select_item (guint position, bool unselect_rest)
| Requests to select an item in the model. More...
bool | unselect_item (guint position)
| Requests to unselect an item in the model. More...
bool | select_range (guint position, guint n_items, bool unselect_rest)
| Requests to select a range of items in the model. More...
bool | unselect_range (guint position, guint n_items)
| Requests to unselect a range of items in the model. More...
bool | select_all ()
| Requests to select all items in the model. More...
bool | unselect_all ()
| Requests to unselect all items in the model. More...
bool | set_selection (const Glib::RefPtr< const Bitset > & selected, const Glib::RefPtr< const Bitset > & mask)
| Make selection changes. More...
Glib::SignalProxy< void(guint, guint)> | signal_selection_changed ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Static Public Member Functions inherited from Gio::ListModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gtk::SelectionModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Protected Member Functions inherited from Gio::ListModel
| ListModel ()
void | items_changed (guint position, guint removed, guint added)
virtual GType | get_item_type_vfunc ()
virtual guint | get_n_items_vfunc ()
virtual gpointer | get_item_vfunc (guint position)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::SelectionModel
| SelectionModel ()
| You should derive from this class to use it. More...
void | selection_changed (guint position, guint n_items)
| Helper function for implementations of `Gtk::SelectionModel`. More...
virtual bool | is_selected_vfunc (guint position) const
virtual Glib::RefPtr< const Bitset > | get_selection_vfunc (guint position, guint n_items)
virtual bool | select_item_vfunc (guint position, bool unselect_rest)
virtual bool | unselect_item_vfunc (guint position)
virtual bool | select_range_vfunc (guint position, guint n_items, bool unselect_rest)
virtual bool | unselect_range_vfunc (guint position, guint n_items)
virtual bool | select_all_vfunc ()
virtual bool | unselect_all_vfunc ()
virtual bool | set_selection_vfunc (const Glib::RefPtr< const Bitset > & selected, const Glib::RefPtr< const Bitset > & mask)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Related Functions inherited from Gtk::SelectionModel
Glib::RefPtr< Gtk::SelectionModel > | wrap (GtkSelectionModel * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Gtk::SelectionListModelImpl is an object that implements the Gio::ListModel and Gtk::SelectionModel interfaces.

gtk_notebook_get_pages() and gtk_stack_get_pages() return an object of a class that implements both GListModel and GtkSelectionModel. Since that C class is not public, it's not wrapped in a C++ class. A C object of such a class can be wrapped in a Gtk::SelectionListModelImpl object. Gtk::SelectionListModelImpl does not directly correspond to any GTK class.

This class is intended only for wrapping C objects returned from GTK functions.

See also
  Gtk::Notebook::get_pages(), Gtk::Stack::get_pages()

Since gtkmm 4.2:

## Constructor & Destructor Documentation

## ◆ SelectionListModelImpl()

Gtk::SelectionListModelImpl::SelectionListModelImpl | ( | SelectionListModelImpl && | src | ) |
| noexcept

## ◆ ~SelectionListModelImpl()

Gtk::SelectionListModelImpl::~SelectionListModelImpl | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ operator=()

SelectionListModelImpl & Gtk::SelectionListModelImpl::operator= | ( | SelectionListModelImpl && | src | ) |
| noexcept